Package org.apache.qpid.proton.codec.messaging

# Class DeliveryAnnotationsType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<DeliveryAnnotations,Map>
org.apache.qpid.proton.codec.messaging.DeliveryAnnotationsType

All Implemented Interfaces:
  `AMQPType<DeliveryAnnotations>`, `DescribedTypeConstructor<DeliveryAnnotations>`

public class DeliveryAnnotationsType extends AbstractDescribedType<DeliveryAnnotations,Map> implements DescribedTypeConstructor<DeliveryAnnotations>

## Constructor Summary

Constructors
Constructor
Description
`DeliveryAnnotationsType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`UnsignedLong`
`getDescriptor()`
`Class<DeliveryAnnotations>`
`getTypeClass()`
`DeliveryAnnotations`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected Map`
`wrap(DeliveryAnnotations val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeliveryAnnotationsType

public DeliveryAnnotationsType(EncoderImpl encoder)

## Method Details

### getDescriptor

public UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<DeliveryAnnotations,Map>`

### wrap

protected Map wrap(DeliveryAnnotations val)

Specified by:
  `wrap` in class `AbstractDescribedType<DeliveryAnnotations,Map>`

### newInstance

public DeliveryAnnotations newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<DeliveryAnnotations>`

### getTypeClass

public Class<DeliveryAnnotations> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<DeliveryAnnotations>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<DeliveryAnnotations>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)